Bug 386985 - akonadi CalDav resource not synching with certain servers
Summary: akonadi CalDav resource not synching with certain servers
Status: REOPENED
Alias: None
Product: Akonadi
Classification: Frameworks and Libraries
Component: DAV Resource (show other bugs)
Version: 5.15.3
Platform: Other Linux
: VHI grave with 391 votes (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
: 325224 386469 386905 399542 (view as bug list)
Depends on:
Blocks:
 
Reported: 2017-11-16 13:05 UTC by Ralf Haferkamp
Modified: 2022-01-07 11:53 UTC (History)
43 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.7.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ralf Haferkamp 2017-11-16 13:05:46 UTC
The behavior I am seeing is somewhat similar to what is described in bug#386905 (though it's unclear to me if the root cause is the same, so I created a new bug report)

I am able to setup a CalDav resource. It successfully detects all the Calendars on the server but it doesn't sync and Event with the server.

To get an understanding of what's going on, I compared the traffic that various other clients (e.g. Evolution) with the traffic from akonadi (using mitmproxy which is quite helpful)

It turns out that the main difference between both implementations is the way they send the "calendar-multiget" requests to fetch a list of multiple Events from the Server. Evolution (which works) sends the all the URLs back exactly as they were return by the server (i.e. just paths without any URL scheme and hostname) while akonadi seems to turn them into full blown URLs, adding the scheme, hostname and port of the connection URL. It seems some servers (e.g. the one I am testing against) don't like this. 

For testing purpose I crafted a manual "calendar-multiget" request (using curl), which, after cleaning up the URLs manually got the a successful reply from the server.

I am currently working on a patch for libkdav to implement that behavior.
Comment 1 Ralf Haferkamp 2017-11-16 13:41:52 UTC
I've just submitted: https://phabricator.kde.org/D8843 and https://phabricator.kde.org/D8844 which seem to fix the problem for me.
Comment 2 Sandro Knauß 2017-11-23 18:23:48 UTC
Git commit 13721dddd8ed8ee209f86d4938adba83496b7ea2 by Sandro Knauß, on behalf of Ralf Haferkamp.
Committed on 23/11/2017 at 18:15.
Pushed by knauss into branch 'Applications/17.12'.

Recreate full URLs from partial URLs

Summary:
With https://phabricator.kde.org/D8843 applied it might happen that e.g.
the "remoteid" of an Event is not containing the hostname and schem
components of the Events URL. In order for deletes and updates to work
correctly we need reconstruct the full URL before sending any (non
multi-get) requests.

Related Bug: https://bugs.kde.org/show_bug.cgi?id=386985

Reviewers: #kde_pim, knauss

Reviewed By: #kde_pim, knauss

Subscribers: knauss, #kde_pim

Tags: #kde_pim

Differential Revision: https://phabricator.kde.org/D8844
FIXED-IN: 5.7.0

M  +6    -0    resources/dav/resource/settings.cpp

https://commits.kde.org/kdepim-runtime/13721dddd8ed8ee209f86d4938adba83496b7ea2
Comment 3 Bernhard Breinbauer 2017-12-17 19:03:09 UTC
This should be re-opened as the patch has not been integrated yet. I'm having the same issue as Ralf.
Comment 4 Christoph Feck 2018-01-01 17:17:46 UTC
Commit from comment #2 landed in KDEPIM 5.7.0 (KDE Applications 17.12.0). Are you sure you are having the issue with this version?
Comment 5 Bernhard Breinbauer 2018-01-02 09:36:04 UTC
Did i mis-read the comments in phabricator? It looks to me, as if the commit had been reverted before 17.12?

Anyway, I installed kdepim 5.7.0 and it has the same behavior: Locally created events are pushed to the server. But no events are retrieved from the server.

BTW: I'm using an account on mailbox.org (open-Xchange)
Comment 6 Christoph Feck 2018-01-02 13:59:21 UTC
I don't see a revert of the commit, and no discussion of a revert either.

Let's reopen for further inspection.
Comment 7 Bernhard Breinbauer 2018-01-02 14:34:08 UTC
I got that information from the discussion here:
https://phabricator.kde.org/D8843

And here is the revert commit:
https://phabricator.kde.org/R490:90c1d9af3e47c1591aab96cbc742b1c6d9367426
Comment 8 Christoph Feck 2018-01-10 23:50:55 UTC
Revert from comment 7 is not a revert from the patch in comment #2.

Unfortunately phabricator keeps the repository for a commit as a private secret, so I cannot even comment on the relation between those commits.

Anyway, if you are still affected with 5.7.0, then the commit from comment #2 was not effective to resolve the issue.
Comment 9 Huw 2018-03-09 19:51:09 UTC
This also affects 5.7.2.  As far as Korganizer is concerned, Akonadi is broken for me.
Comment 10 Alexander Zhigalin 2018-03-17 05:00:37 UTC
(In reply to Christoph Feck from comment #8)
> Revert from comment 7 is not a revert from the patch in comment #2.
> 
> Unfortunately phabricator keeps the repository for a commit as a private
> secret, so I cannot even comment on the relation between those commits.
> 
> Anyway, if you are still affected with 5.7.0, then the commit from comment
> #2 was not effective to resolve the issue.

Yes it is.
There was 2 patches, D8843 and D8844.
The D8843 was reverted by https://phabricator.kde.org/R490:90c1d9af3e47c1591aab96cbc742b1c6d9367426
Comment 11 Huw 2018-04-01 12:31:44 UTC
Well, why was it reverted if it fixed the issue?  This is infuriating.  If Korganizer doesn't sync with mailbox.org properly then I can't use it, which means I can't use Kontact, which means I may as well use another desktop environment altogether.
Comment 12 Bernhard Breinbauer 2018-07-22 12:27:02 UTC
As shown in the discussion on phabricator (https://phabricator.kde.org/D8843) the patch for KDAV was reverted.
I tried the patch proposed by Ralf and CAlDav works with mailbox.org again. The difference is that the original code includes the hostname in the request while the patch omits the hostname. 
I would like to help to get mailbox.org working with KDAV again, but I don't know how. I can't think of a solution which might work for both cases and I wouldn't like to add a server specific code to change the URL.

Can any one give me some directions, what might be a working approach?
Comment 13 Erik Quaeghebeur 2018-11-16 12:24:29 UTC
*** Bug 386469 has been marked as a duplicate of this bug. ***
Comment 14 Erik Quaeghebeur 2018-11-16 12:26:27 UTC
*** Bug 386905 has been marked as a duplicate of this bug. ***
Comment 15 Erik Quaeghebeur 2018-11-16 12:37:20 UTC
*** Bug 325224 has been marked as a duplicate of this bug. ***
Comment 16 Erik Quaeghebeur 2018-11-16 12:38:12 UTC
*** Bug 399542 has been marked as a duplicate of this bug. ***
Comment 17 Tom Mittelstädt 2018-11-16 12:57:13 UTC
Short note: After a Radicale update the issue was resolved here. It works with v1.1.2 and later but I'm not quite sure which version-change included that fix.
Comment 18 Yan 2018-11-16 14:06:20 UTC
Yandex.ru and Mail.ru calendars still don't work either
Comment 19 Alexander Zhigalin 2018-11-16 15:12:28 UTC
(In reply to Yan from comment #18)
> Yandex.ru and Mail.ru calendars still don't work either

Owncloud one is also still unusable.
Comment 20 Yan 2018-11-16 20:45:52 UTC
Personally I'm interested in fixing this issue. I have C++/Qt skills and even wrote mail to kdepim mailing list but didn't receive any reply. I only lack of knowledge how does akonandi framework works and what caused caldav to stop working. So currently it's hard to start fixing this issue
Comment 21 Erik Quaeghebeur 2018-11-16 22:25:42 UTC
(In reply to Yan from comment #20)
> Personally I'm interested in fixing this issue. I have C++/Qt skills and
> even wrote mail to kdepim mailing list but didn't receive any reply.
Did you try IRC: https://community.kde.org/KDE_PIM/Contact#Contact_via_IRC ?

> I only lack of knowledge how does akonandi framework works and what
> caused caldav to stop working. […]
Probably https://phabricator.kde.org/D8843 is a good starting point.
Comment 22 Yan 2018-11-16 22:28:17 UTC
Yes, I've tried IRC. I have waited some time for responce then shut down my PC and in the morning didn't find a way to load messages that I wasn't able to view. IRC is not user-friendly IMO.

Thanks for link to phabricator.
Comment 23 Alexander Zhigalin 2018-11-17 11:04:04 UTC
(In reply to Erik Quaeghebeur from comment #21)
> (In reply to Yan from comment #20)
> > Personally I'm interested in fixing this issue. I have C++/Qt skills and
> > even wrote mail to kdepim mailing list but didn't receive any reply.
> Did you try IRC: https://community.kde.org/KDE_PIM/Contact#Contact_via_IRC ?
> 
> > I only lack of knowledge how does akonandi framework works and what
> > caused caldav to stop working. […]
> Probably https://phabricator.kde.org/D8843 is a good starting point.

Sadly that patch which was actually fixing things was reverted and after that no one looked into that...
Comment 24 Stefan 2018-11-25 20:39:30 UTC
Still the same problem as described in comment #67 to bug 325224.
Current KOrganizer-version 5.9.3
KDE neon (up-to-date)
Comment 25 Yan 2018-12-12 12:02:20 UTC
The bug is one year old and the patch exists. It is blocker and has normal priority. What can we do to get this fixed?
Comment 26 Erik Quaeghebeur 2018-12-12 16:03:07 UTC
(In reply to Yan from comment #25)
> The bug is one year old and the patch exists. It is blocker and has normal
> priority.
I've increased the importance.

> What can we do to get this fixed?
Well, unless a developer steps up to at least help someone land a fix, all we can do is gather useful information here.

That information could be debug output of the form given in https://phabricator.kde.org/D8843#360672 for each of the affected servers.
Comment 27 Thomas Monjalon 2019-03-21 20:43:03 UTC
Adding one more feedback about this annoying bug.
This is what I see when running "akonadictl start":

org.kde.pim.davresource: Error when uploading item: 420 "There was a problem with the request. The item was not modified on the server.\nThe file or folder caldav.fastmail.com does not exist. (0)."

In case I can help, I am on IRC (tmonjalo).
Comment 28 Huw 2019-07-09 17:48:21 UTC
I'm no dev so apologies if I've got this wrong, but from my reading of the submission on Phabricator, couldn't this be resolved if CalDav used *both* methods to sync with the server?  Surely some code could be inserted to handle a null result, while then using output from the other result?

Is it really the case that the patch was rejected just because it breaks sync for Kolab users, despite the current situation breaking sync for apparently a whole host of other servers?
Comment 29 thomas 2019-09-07 15:08:49 UTC
I keep coming back to check if this has been fixed. Would really want to use Kmail/Korganizer but without my calendars this is a non starter.
Just wanted to add that this bug will also affekt all-inkl.de customers (like me) which is one of the larger hosting companies in Germany.
I'd be happy to test or whatever help is required to get this solved.
Comment 30 chp321 2019-10-21 12:07:08 UTC
I have this bug with server baikal, since version 19.08.2
Sync addresses (cardDav) works fine, but calDav does no longer synchronize with my baikal server.
I really do need this feature.
I will change for Evolution. I hope this bug will be solved very soon, because I like KDE.
Comment 31 chp321 2019-10-21 22:48:16 UTC
I must correct my last comment (did not find how to edit it)
For me, the bug appeared with my baikal server, when korganizer upgraded from 5.12.1 to 5.12.2
Comment 32 Steffen Hartmann 2019-10-25 16:53:41 UTC
Also a problem for me. Since the last update I can't sync to my nextcloud server anymore. I don't understand the explanations but the behavior is just as described in this bug report.

---

Operating System: Arch Linux 
KDE Plasma Version: 5.17.1
KDE Frameworks Version: 5.63.0
Qt Version: 5.13.1
Kernel Version: 5.3.7-arch1-1-ARCH
OS Type: 64-bit
Processors: 8 × Intel® Xeon® CPU E5-1620 v3 @ 3.50GHz
Memory: 15,5 GiB
Comment 33 Wulf 2019-10-25 17:18:36 UTC
Yes now I have this problem also with nextcloud.

Both Arch Linux: Desktop and Raspi (Nextcloudserver)

And there is still Bug https://bugs.kde.org/show_bug.cgi?id=355441, which I also have with nextcloud
Comment 34 Holger 2019-10-26 08:09:08 UTC
Issue also existing in tumbleweed:

Sync of calendar entries by means of caldav does not work. 

Desktop:
Operating System: openSUSE Tumbleweed 20191023
KDE Plasma Version: 5.17.0
KDE Frameworks Version: 5.63.0
Qt Version: 5.13.1
Kernel Version: 5.3.6-1-default
OS Type: 64-bit

Server:
Ubuntu 18.04 bionic
Nextcloud 17.0.0

both of the systems are up to date.

Behavior:
create an calendar entry in korganizer: entry is shown up in Nextcloud
create an calendar entry in Nextcloud: entry not beeing shown in korganizer

the only error message I was able to fetch was in akonadi console:
org.kde.pim.akonadiserver: Error while handling command FetchItems on connection akonadi_davgroupware_resource_0 (0x559c914ecc00)

your help would be very much appreciated.
Thank you!
Comment 35 Christophe Giboudeaux 2019-10-26 08:10:30 UTC
(In reply to Steffen Hartmann from comment #32)
> Also a problem for me. Since the last update I can't sync to my nextcloud
> server anymore. I don't understand the explanations but the behavior is just
> as described in this bug report.
> 
Make sure your distribution added this commit to the kio package: https://cgit.kde.org/kio.git/commit/?id=02a8d3

It will be part of the 5.64 release and is only needed if you're using kio 5.63.0.
Comment 36 Christophe Giboudeaux 2019-10-26 08:17:11 UTC
(In reply to Holger from comment #34)
> Issue also existing in tumbleweed:
> 
> Sync of calendar entries by means of caldav does not work. 

The fix is on the way to the factory repo. It may take a couple days before the request is accepted.
Comment 37 Alexander Zhigalin 2019-10-26 08:39:07 UTC
(In reply to chp321 from comment #30)
> I have this bug with server baikal, since version 19.08.2
> Sync addresses (cardDav) works fine, but calDav does no longer synchronize
> with my baikal server.
> I really do need this feature.
> I will change for Evolution. I hope this bug will be solved very soon,
> because I like KDE.

Please note, those who only begin experiencing this problem recently (starting from from comment #30) are not actually experiencing this bug but rather an another one with similar result.
Please don't close this as fixed because this issue has no fix yet.
Comment 38 Anders Lund 2019-11-09 06:52:01 UTC
I have this problem after updating to nextcloud 16. I can tell that I can create events using korganizer, and they appear in the NextCloud Calendar app and on my phone etc, but no events are ever fetched. Restarting the resource in korganizer settings briefly shows "fetching <calendar> 0%" for each calendar, I confirmed by looking in akonadiconsole that the resource only contains locally created events.
Comment 39 szymon.pysz@gmail.com 2019-11-10 21:29:18 UTC
Hi,

Today, in the morning I updated kio from version 5.63 to 5.64. 
Problem solved, in my case of course.

Regards,
Simon
Comment 40 Anders Lund 2019-11-11 08:58:53 UTC
Yes, works here again too. Thank you! :)
Comment 41 Steffen Hartmann 2019-11-11 09:02:47 UTC
Also running fine on archlinux after yesterdays 

pacman -Syu

Thank you.
Comment 42 Wolfgang Bauer 2019-11-11 11:47:46 UTC
(In reply to szymon.pysz@gmail.com from comment #39)
> Today, in the morning I updated kio from version 5.63 to 5.64. 
> Problem solved, in my case of course.

That's bug#413316 though.

This one is about a completely different (and older) problem.
Comment 43 Huw 2020-01-15 22:12:17 UTC
Good news for mailbox.org users!  They've just upgraded to OX 7.10.2 and it seems this bug no longer affects us!  I just created a new DAV resource in KOrganizer, pointed it at my mailbox.org calendar, and it synced.  Then I created an event locally, as well as a different event on mailbox.org, and they synced both ways!  Can anyone else confirm?
Comment 44 Peter 2020-01-18 10:08:53 UTC
YEP, confirmed! very fine after a long time!
Comment 45 Knut Hildebrandt 2020-01-31 22:43:50 UTC
I'm affected too. Actually not only calendars do not synchronize anymore, but address books too. And they do not synchronize at all, neither way. There seems to be no data exchange at all between the nextcloud server and the PIM suite. Meanwhile my smartphone synchronizes without any problem via DAVx5.

My setup:
Operating System: Chakra Linux
KDE Plasma Version: 5.17.3
KDE Frameworks Version: 5.64.0
Qt Version: 5.13.2
Kernel Version: 5.2.11-3-CHAKRA
Nextcloud: 17.0.2

Starting akonandi I get this error message:

parse error from icalcomponent_new_from_string. string= "<?xml version=\"1.0\" encoding=\"utf-8\"?>\n<d:error xmlns:d=\"DAV:\" xmlns:s=\"http://sabredav.org/ns\">\n  <s:exception>Sabre\\DAV\\Exception\\NotFound</s:exception>\n  <s:message>Calendar object not found</s:message>\n</d:error>\n"
org.kde.pim.davresource: DavGroupwareResource::onItemFetched: Failed to parse item data.  "https://nextcloud.server-name.de/remote.php/dav/calendars/user-name/kalender/1580509318.R271.ics"

There are no error messages regarding the address books.
Comment 46 Rigo Wenning 2020-02-20 19:34:35 UTC
I think https://bugs.kde.org/show_bug.cgi?id=406917 is related. I have it too. The funny thing is that the number of the file is EXACTLY the same. I don't think we have both stored the same event on different servers. I get 
parse error from icalcomponent_new_from_string. string= "<?xml version=\"1.0\" encoding=\"utf-8\"?>\n<d:error xmlns:d=\"DAV:\" xmlns:s=\"http://sabredav.org/ns\">\n  <s:exception>Sabre\\DAV\\Exception\\NotFound</s:exception>\n  <s:message>Calendar object not found</s:message>\n</d:error>\n"
org.kde.pim.davresource: DavGroupwareResource::onItemFetched: Failed to parse item data.  "https://nextcloud.example.org/remote.php/dav/calendars/rigo/profi/1582227113.R271.ics"

That it is stuck on the same "file" name looks really fishy
Comment 47 Matthias 2020-03-31 19:17:10 UTC
I am affected by the same bug/behaviour as the original author.

I can set up the CalDav ressource (in my case caldav.icloud.com), the list of calendars is pulled correctly, but nothing (no event) is synchronising.

I can not get any valuable information from akonadiconsole on what exactly the problem is.
Currently i am on Kubuntu 20.04 with Kontact 5.11.3 and Kio 5.68.0, but the same behaviour is shown by an openSuse Tumbleweed install with Kontact 5.13.3 and Kio 5.68.0.
Comment 48 Robert Haslinger 2020-06-05 18:45:36 UTC
Same issue.

its anoying. i use my beloved KDE as my daily driver.

my company use icloud calendar.

i had to switch to thunderbird/lightning.

please take care of this bug. i want Korganizer back.
Comment 49 Till Schäfer 2020-12-01 09:32:33 UTC
same here with recent package versions (Akonadi 5.15.3 / 20.08.3). Should be a assigned to frameworks/kdav now, or am I wrong?

Operating System: Gentoo Linux
KDE Plasma Version: 5.20.3
KDE Frameworks Version: 5.76.0
Qt Version: 5.15.2
Kernel Version: 5.9.11-gentoo
OS Type: 64-bit
Processors: 8 × Intel® Core™ i7-3770 CPU @ 3.40GHz
Memory: 30.9 GiB of RAM
Graphics Processor: Mesa DRI Intel® HD Graphics 4000
Comment 50 Clément Labadie 2021-01-04 13:02:44 UTC
Exact same issue here (Akonadi 5.15.3 / 20.08.3). Calendars are pulled correctly from the CalDAV server, they appear in the calendar list, but events are not showing up.

Operating System: Fedora 33
KDE Plasma Version: 5.20.4
KDE Frameworks Version: 5.75.0
Qt Version: 5.15.2
Kernel Version: 5.9.16-200.fc33.x86_64
OS Type: 64-bit
Processors: 8 × Intel Core i7-1065G7
Memory: 15.3 GiB
Graphics Processor: Mesa Intel Iris Plus Graphics
Comment 51 MartinK 2021-03-17 19:46:47 UTC
I also experienced this issue when connecting to my baikal/sabredav caldav server. On the client side, my system is Opensuse 15.2 with korganizer 5.14.2.
I'm happy to support debugging by contributing further details or log output but I would need some instructions for this. 
Martin
Comment 52 Alexandre Bonneau 2021-05-03 06:21:39 UTC
Well, the bug was 3,5 years ago, and is about not being able to sync events for remote servers.
Considering having a centralized server for calendar events is the main way to go for a few years now (with phones, etc.), this means Korganizer is useless.
This is not a 'grave' bug, this is a critical one, and must be dealt as one (ie. not within a 3 years span).

Anyway, this bug just started happening under Debian Testing with kdepim `4:20.08.3+5.111`, connecting to an up-to-date Nextcloud server (version 20).
You can create events in Korganizer and they will be synchronized onto Nexcloud, but Korganizer won't update events/tasks from Nextcloud.

Again, this is a critical bug since it makes Korganizer useless.
If you have some spare time, please focus on this bug instead on any other.

Thank you for your time
Comment 53 Rigo Wenning 2021-05-03 08:52:49 UTC
As I noted in a comment to another bug. I've been using korganizer and kdepim/kontact since over 20 years now. This bug is absolutely critical as nextcloud is the way linux users try to avoid the all-google. While trying to fix one of the many times when sync stopped to work, I killed my entire professional calendar on nextcloud. While kontact remains one of the most user friendly personal information managers, the backend connections are extremely poorly maintained. Don't blame the akonadi-system itself. The devs just don't want to touch the hard probs. The conduits from CalDav, the imap implementation etc would need A LOT of love before kontact could become usable again. As does the sync between file system and akonadi-database. (Why not abandon file system sync and offer backup-export? Or at least offer to manually trigger file sync.) In my desperation, I switched to evolution. Usability kind of works, but is burdensome. Meanwhile the backend hasn't deceived me a single time. And this is crucial if you're dependent on email and calendar for work. Like most of us.
Comment 54 escorniki 2021-09-15 10:51:29 UTC
*** Removed by KDE Sysadmin for violation of community policies ***
Comment 55 Allen Winter 2021-09-18 20:48:33 UTC
I tested Nextcloud, ownCloud and Zoho today using Kontact 5.18.2 (21.08) and they all seem to work ok.  at least for my basic testing (add/modify/delete event).

I didn't try iCloud yet.  Some of the other servers mentioned in this report I cannot access.

My kdav knowledge is near 0. Just reporting the results of some testing with the recent Kontact.
Comment 56 Thomas Monjalon 2021-09-19 09:26:55 UTC
With recent versions, it works fine for me: syncing with fastmail caldav.
Comment 57 Bernhard Breinbauer 2021-09-20 05:40:48 UTC
I also tested it again today and can report it's working again with mailbox.org (Open X-change). 
Thanks!
Comment 58 Yan 2021-09-20 06:19:43 UTC
Did you tested that calendar events are received both from server and are sent to server?
Comment 59 Bernhard Breinbauer 2021-09-20 06:38:02 UTC
Yes: a locally created event was synced to the server and a remotely created event was synced to my PC

Note: I'm on a fairly recent version:
Kontact Version 5.18.1 (21.08.1)
Comment 60 Robert Haslinger 2021-09-20 07:01:33 UTC
just tried with iCloud and latest 5.18.1 KOrganizer.

its not working. just connecting to the server, all resources are found, but no calendar entries are shown.
Comment 61 Rigo Wenning 2021-09-20 10:29:46 UTC
@Alan The prob appears because of a flaw in the logic of the workflow. The basic sync works for pet testing. But in a real world calendar you'll get a lot of invites form crazy software out there massacring the iCal format. 
And there sits the flaw. Instead of failure of this one entry, the entire workflow of syn stops to work. The only option is to get into akonadicontrol, go totally nerd under the hood, guess the ids in the totally user unfriendly database setup, find the massacred ics entry, delete it and sync starts again. It is very very hard to find the broken entry. And it only works until the next time you import something. 
As this is deeply anchored in the logic of the workflow, I maintain that fixing this issue needs A LOT of love and effort. And until KDE finds some sponsor to do it, kontact is basically dead or reduced to hobby-use. Given that even thunderbird has trouble to get sponsors & money, my hope is low.
Comment 62 Dirk Tombaugh 2021-09-20 19:40:43 UTC
I can confirm that iCloud still does not work. Checked for updates and ran any updates found before checking.

Kontact 5.18.1
Comment 63 Huw 2021-09-20 21:33:38 UTC
(In reply to Bernhard Breinbauer from comment #57)
> I also tested it again today and can report it's working again with
> mailbox.org (Open X-change). 
> Thanks!

If you're using mailbox.org don't bother thanking the KDE devs; they did nothing. Mailbox upgraded their server software and now it works around the Kontact bug.